Subject: Re: bug#54882: [PATCH 0/2] gnu: Add hut.

From: "Dhruvin Gandhi" <[email-masked]>
Date: Mon, 10 Oct 2022 14:52:02 +0530

Thanks for merging :)

On Mon Oct 10, 2022 at 8:49 AM IST, Maxim Cournoyer wrote:
> From what I understand, ~ is automatically inserted by source hut, not
> something meaningful, at least when it comes to the package name.

It will be important once sourcehut adds organizations/groups. They will
have a different prefix. Although what exact prefix will be used is
undecided, one candidate for org prefix is '+'. So, an org/repo url will
be https://git.sr.ht/+<org>/<repo>

I'm advised to have an indicator in package names that helps
differentiate between user repo and org repo. (in #sr.ht on libera.chat)

If org names are not allowed to be same as existing user names, then we
don't have to worry about that prefix. But this is yet to be decided.

FWIW, guixrus uses '--', i.e. go-git-sr-ht--emersion-go-scfg. This is
what unmatched-paren might be recalling.